=== debian/changelog ===
ros-noetic-rtabmap-util (0.21.1-4focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sat, 15 Apr 2023 17:58:37 -0000
