=== debian/control ===
Source: ros-noetic-rtabmap-util
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-laser-geometry, ros-noetic-message-filters, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-octomap-msgs, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-msgs, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rtabmap-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-image-transport, ros-noetic-laser-geometry, ros-noetic-message-filters, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-octomap-msgs, ros-noetic-pcl-conversions, ros-noetic-pcl-ros, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rtabmap-conversions, ros-noetic-rtabmap-msgs, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf
Description: RTAB-Map's various useful nodes and nodelets.
